Subject: Re: sending email from Cygwin
From: [email-masked]
To: "Pierre A. Humblet" <[email-masked]>
Cc: [email-masked]
Date: Fri, 16 Jul 2004 11:24:01 +1000 (EST)

On 15 Jul, Pierre A. Humblet wrote:
>  >: /home/luke ; exim -oi luke < /tmp/smff3624 
>  >2004-07-15 17:56:06 Exim configuration file /etc/exim.conf has the wrong 
>  owner, group, or mode 
>  >: /home/luke ; ls -l /etc/exim.conf 
>  >-rwx------+   1 luke     Domain U    22025 Aug 29  2002 /etc/exim.conf 
>   
>  That should have been set correctly by the postinstall script. The incomplete 
>  /etc/group prevented success. 

So mkgroup -l needed to be added to /etc/group.  But setup doesn't do
this - which may be fair enough?   But the consequence is that after
exim is installed, it won't work: there's more work to do.  That may
be fair enough.

The missing piece of information for me was that exim-config needs to be
run before you can use exim.  (Perhaps exim-config even checks for the
mkpasswd -l step to have been done?)

Anyway, I think that's basically fair enough.  It would be nice if exim
*itself* reported that running exim-config might be a good idea.  (Is
exim-config used on other platforms besides cygwin?)
 
>  >But probably I'd need to run exim-config to have a serious chance of 
>  >success? 
>   
>  It's only required if you operate a mail server, but in this case it will 
>  set the permissions correctly. 
>   
>  The reason why you don't see the rights (previous e-mail in thread) is most 
>  likely that you get them indirectly through membership in a group.

That's true.

>  If you are curious about that, the User control panel is your best bet.  

Yep, if you look at that you can see which group (Administrators, Power
Users, or Restricted Users) you're in.  "editrights" won't tell you
that, as far as I can see.

Thanks for all the info and help,

luke

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/